/* #eb6d8e → #ebb04e*/
/* 左上から45度 */

*{
    position: relative;
    margin: 0;
    padding: 0;
    font-size: 16px;
    font-family: sans-serif;
    overflow-wrap: anywhere;
}

body{
    overflow: hidden;
}

a{
    text-decoration: none;
    color: #eb6d8e;
    transition: 0.3s;
}

.italic{
    font-style: italic;
}

a:hover{
    color: #ebb04e;
    transition: 0.3s;
}

.header{
    position: fixed;
    display: flex;
    top: 0;
    width: 100dvw;
    flex-direction: row;
    justify-content: space-between;
    background: linear-gradient(180deg, rgba(255, 255, 255, 1), 80%, rgba(255, 255, 255, 0));
    z-index: 2;
}

.top_icon{
    display: block;
    width: fit-content;
    height: fit-content;
    margin: 0.3em;
    z-index: 2;
}

.top_icon img{
    display: block;
    width: 3.5em;
    height: 3.5em;
    border-radius: 1em;
}

.top_icon:has(+ .btns_right .inp_menu:checked) img{
    background-color: #fff;
}

.btn_newpost{
    display: flex;
    width: 1.8em;
    height: 1.8em;
    margin: 0.9em 0.3em;
    justify-content: center;
    align-items: center;
    border: solid #000 2px;
    border-radius: 10px;
    transition: 0.3s;
    color: #000;
}

.newpost_icon{
    display: flex;
    justify-content: center;
    align-items: center;
}

.newpost_icon::before{
    content: "";
    position: absolute;
    display: block;
    width: 1em;
    height: 2px;
    background-color: #000;
    border-radius: 3px;
}

.newpost_icon::after{
    content: "";
    position: absolute;
    display: block;
    width: 2px;
    height: 1em;
    background-color: #000;
    border-radius: 3px;
}

.btn_newpost:hover{
    background-color: #e0e0e0;
    transition: 0.3s;
}

.btn_newpost svg{
    width: 100%;
    height: auto;
}

.btns_right{
    display: flex;
    flex-direction: row;
}

.btn_menu{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background: rgba(0, 0, 0, 0);
    height: 1.8em;
    width: 1.8em;
    margin: 1em;
    z-index: 1;
}
.btn_menu::after{
    content: "";
    position: fixed;
    display: block;
    height: 3.8em;
    width: 3em;
    z-index: 2;
    cursor: pointer;
}

.bm_left, .bm_center, .bm_right{
    width: 1.8em;
    height: 2px;
    margin: auto;
    background-color: #000;
    border-radius: 3px;
    transition: 0.3s;
    z-index: 2;
}

.inp_menu{
    position: fixed;
    visibility: hidden;
    opacity: 0;
    z-index: 2;
}

.menu{
    position: fixed;
    display: block;
    width: 100dvw;
    height: 100dvh;
    top: 0;
    left: 0;
    background: linear-gradient(-45deg, #eb6d8e, #ebb04e);
    visibility: hidden;
    opacity: 0;
    z-index: 1;
    transition: 0.3s;
}

.inp_menu:checked ~ .bm_center{
    opacity: 0;
    background-color: #fff;
    transition: 0.3s;
}

.inp_menu:checked ~ .bm_left{
    transform: rotate(45deg);
    top: 9.5px;
    background-color: #fff;
    transition: 0.3s;
}

.inp_menu:checked ~ .bm_right{
    transform: rotate(-45deg);
    top: -9.5px;
    background-color: #fff;
    transition: 0.3s;
}

.inp_menu:checked ~ .menu{
    visibility: visible;
    opacity: 1;
}

/*menu*/
.menu ul{
    height: calc(100dvh - 7em);
    padding: 5em 0 2em 0;
    overflow-y: auto;
    list-style: none;
}

.menu a{
    display: block;
    color: #fff;
    font-size: 1.5em;
    padding: 1em 2em;
    width: min(calc(100dvw - 4em), 20em);
    transition: 0.3s;
}

.menu li::before, .menu li:last-child:after{
    content: "";
    display: block;
    width: 20em;
    height: 1px;
    background-color: #fff;
    margin: 0 2em 0;
}

.menu a:hover{
    background-color: rgba(0, 0, 0, 0.1);
    transition: 0.3s;
    border-radius: 0.5em;
}

.content{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 4.1em 10dvw 0;
    padding: 0 0 4.6em;
    min-height: calc(100dvh - 12.7em);
}

footer, footer p, .end_links{
    color: #eb6d8e;
}

footer{
    display: flex;
    width: 100%;
    height: 3em;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 0.5em 0;
}

footer p{
    font-size: 0.8em;
    word-break: break-all;
    width: max(21.5em, 80vw);
}

footer p span{
    word-break: keep-all;
    white-space: nowrap;
    font-size: 1em;
}

.end_links{
    position: absolute;
    bottom: 0;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.end_links a{
    display: block;
    width: 10em;
    margin: 0 1em;
    font-size: 0.8em;
}

dialog{
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 80vw;
    padding: 2em;
    margin: auto;
    border: none;
    border-radius: 1em;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    background-color: #fff;
}

dialog form{
    width: 80%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

dialog input{
    width: 100%;
    border: none;
    outline: none;
    text-align: center;
    background-color: #f0f0f0;
    padding: 0.5em 0;
    margin: 0.5em;
    border-radius: 0.5em;
}

dialog .checkbox{
    width: 1em;
    height: 1em;
    cursor: pointer;
}

dialog .submit{
    width: 100%;
    margin-top: 3em;
    background: linear-gradient(-45deg, #eb6d8e, #ebb04e);
    color: #fff;
    transition: 0.3s;
    cursor: pointer;
}

dialog .submit:hover{
    background: linear-gradient(-45deg, #c75674, #c9933d);
    transition: 0.3s;
}

dialog button{
    width: 100%;
    border: none;
    outline: none;
    padding: 0.5em;
    margin: 0.5em;
    color: #eb6d8e;
    border-radius: 0.5em;
    cursor: pointer;
}

#btn_closeLogin{
    width: 80%;
}

dialog button:hover{
    background-color: #e0e0e0;
}

.dialog_errmsg{
    width: 80%;
    font-size: 0.8em;
    color: #eb6d8e;
}

dialog img{
    max-width: 50%;
    max-height: 5em;
    margin-bottom: 1em;
}

.retrun_top{
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 0.2em 1em;
    margin: 2em 0 1em;
    border-radius: 2em;
    border: solid 1px #eb6d8e;
    transition: 0.3s;
}

.retrun_top:hover{
    background-color: #eb6d8e;
    color: #fff;
    transition: 0.3s;
}

#loading{
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    flex-direction: column;
    gap: 1em;
    color: #ec7b9a;
    width: 100svw;
    height: 100dvh;
    top: 0;
    left: 0;
    background-color: #fff;
    z-index: 2;
}

#loading p{
    margin: 0 2em;
}

.loaded{
    opacity: 0;
    visibility: hidden;
}


.page_loading_icon div, .page_loading_icon::after, .page_loading_icon::before{
    content: "";
    display: block;
    width: 0.8em;
    height: 0.8em;
    background-color: #ec7b9a;
    border-radius: 1em;
}

.page_loading_icon::before{
    animation: 1.2s ease-in-out 0s infinite page_loading;
}

.page_loading_icon div{
    animation: 1.2s ease-in-out 0.4s infinite page_loading;
}

.page_loading_icon::after{
    animation: 1.2s ease-in-out 0.8s infinite page_loading;
}

.page_loading_icon{
    display: flex;
    flex-direction: row;
    gap: 0.5em;
}

@keyframes page_loading{
    0%{
        transform: scale(1);
    }
    50%{
        transform: scale(0.8);
    }
    100%{
        transform: scale(1);
    }
}